{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # Nextcloud sync client
    nextcloud-client
    # Python bindings for Nautilus (GNOME Files) extension API.
    gnome.nautilus-python
  ];

  # This is not required.
  #
  #environment.sessionVariables.NAUTILUS_4_EXTENSION_DIR = "${config.system.path}/lib/nautilus/extensions-4";
  #environment.pathsToLink = [
  #  "/share/nautilus-python/extensions"
  #];

# This does not work!
# One has to install nautilus-python as system package!
#
#  users.users.yoda = {
#    packages = with pkgs; [
#      # Nextcloud sync client
#      nextcloud-client
#       # Python bindings for Nautilus (GNOME Files) extension API.
#      gnome.nautilus-python
#    ];
#  };
}
